#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EClipRangeMethod {
    CreateClipButton = 1,
    Highlight = 2,
    BeginEndButtons = 3,
    ContextMenu = 4,
    Drag = 5,
    EntireClip = 6,
    PhaseRecording = 7,
}

impl EClipRangeMethod {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::CreateClipButton as i32 => Some(Self::CreateClipButton),
            x if x == Self::Highlight as i32 => Some(Self::Highlight),
            x if x == Self::BeginEndButtons as i32 => Some(Self::BeginEndButtons),
            x if x == Self::ContextMenu as i32 => Some(Self::ContextMenu),
            x if x == Self::Drag as i32 => Some(Self::Drag),
            x if x == Self::EntireClip as i32 => Some(Self::EntireClip),
            x if x == Self::PhaseRecording as i32 => Some(Self::PhaseRecording),
            _ => None,
        }
    }
}
